// Console.cpp: implementation of the CConsole class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Console.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CConsole::CConsole() : m_pcoOutput( NULL ), m_bIsAttached( FALSE )
{
	memset( m_pstrSystemName, 0, MAX_SYSTEM_NAME + 1);
	strcpy( m_pstrSystemName, "unknow system" );
}

CConsole::CConsole( char pstrSystemName[] )
{
	memset( m_pstrSystemName, 0, MAX_SYSTEM_NAME + 1);
	strncpy( m_pstrSystemName, systemname, MAX_SYSTEM_NAME );
}

CConsole::~CConsole()
{
}

VOID CConsole::Attach( CConsoleOutput* output )
{
	m_pcoOutput = output;

	m_pcoOutput << "	zone51 [" << m_pstrSystemName << "] console output" << endl;
	m_pcoOutput << "	compiled: " << __TIMESTAMP__ << endl;
	m_pcoOutput	<< "	attached: " << endl << endl;

	m_bIsAttached = TRUE;
}

VOID CConsole::Detach()
{
	if( m_bIsAttached )
	{
		m_pcoOutput << endl << "console detached" << endl;
	}
}

VOID CConsole::BeginSequence( char pstrSequence[] )
{
	

	if( m_bIsAttached )
	{
		m_pcoOutput << endl << 
	}
}
